#ifndef OBJETO_H
#define OBJETO_H

#include "Vector3D.h"

class Objeto {
public:
	Objeto();
	Objeto(Vector3D pos, double radio);
	virtual void draw();
	virtual void update();
	double distancia(Objeto * o);
	bool colisiona(Objeto * o);
	Vector3D pos;
	double radio;

};

#endif

